Bug 1304360 - mailman-2.1.25 is available [NEEDINFO]
mailman-2.1.25 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-03 07:15 EST by Upstream Release Monitoring
Modified: 2017-10-31 20:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkrejci: needinfo? (jkaluza)


Attachments (Terms of Use)
[patch] Update to 2.1.21rc1 (#1304360) (1.17 KB, patch)
2016-02-03 07:16 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.1.21rc2 (#1304360) (1.18 KB, patch)
2016-02-05 07:15 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.1.21 (#1304360) (1.17 KB, patch)
2016-02-28 19:16 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (42.81 KB, patch)
2016-04-17 20:17 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (43.68 KB, patch)
2016-08-28 03:58 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-02-03 07:15:53 EST
Latest upstream release: 2.1.21rc1
Current version/release in rawhide: 2.1.20-3.fc24
URL: http://www.gnu.org/software/mailman/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-02-03 07:16:27 EST
Created attachment 1120732 [details]
[patch] Update to 2.1.21rc1 (#1304360)
Comment 2 Upstream Release Monitoring 2016-02-03 07:19:35 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12801576
Comment 3 Upstream Release Monitoring 2016-02-05 07:15:01 EST
Latest upstream release: 2.1.21rc2
Current version/release in rawhide: 2.1.20-3.fc24
URL: http://www.gnu.org/software/mailman/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 4 Upstream Release Monitoring 2016-02-05 07:15:29 EST
Created attachment 1121369 [details]
[patch] Update to 2.1.21rc2 (#1304360)
Comment 5 Upstream Release Monitoring 2016-02-05 08:07:24 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12892577
Comment 6 Upstream Release Monitoring 2016-02-28 19:16:29 EST
Latest upstream release: 2.1.21
Current version/release in rawhide: 2.1.20-4.fc24
URL: http://www.gnu.org/software/mailman/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 7 Upstream Release Monitoring 2016-02-28 19:16:54 EST
Created attachment 1131398 [details]
[patch] Update to 2.1.21 (#1304360)
Comment 8 Upstream Release Monitoring 2016-02-28 19:19:57 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13168926
Comment 9 Upstream Release Monitoring 2016-03-02 03:28:35 EST
jkaluza's mailman-2.1.21-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=740742
Comment 10 Tomas Orsava 2016-03-23 13:20:52 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 11 Upstream Release Monitoring 2016-04-17 20:16:48 EDT
Latest upstream release: 2.1.22
Current version/release in rawhide: 2.1.21-1.fc25
URL: http://www.gnu.org/software/mailman/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1875/
Comment 12 Upstream Release Monitoring 2016-04-17 20:17:45 EDT
Patching or scratch build for mailman-2.1.21 failed.
Comment 13 Upstream Release Monitoring 2016-04-17 20:17:47 EDT
Created attachment 1148088 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 14 Upstream Release Monitoring 2016-04-17 20:17:49 EDT
Patches were not touched. All were applied properly
Comment 15 Dominika Krejčí 2016-05-11 08:44:33 EDT
Hello Jan,

do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.io/
Comment 16 Upstream Release Monitoring 2016-08-28 03:57:51 EDT
Latest upstream release: 2.1.23
Current version/release in rawhide: 2.1.21-1.fc25
URL: http://www.gnu.org/software/mailman/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1875/
Comment 17 Upstream Release Monitoring 2016-08-28 03:58:52 EDT
Patching or scratch build for mailman-2.1.21 failed.
Comment 18 Upstream Release Monitoring 2016-08-28 03:58:55 EDT
Created attachment 1194983 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 19 Upstream Release Monitoring 2016-08-28 03:58:58 EDT
Following patches has been deleted:
['mailman-2.1.12-multimail.patch', 'mailman-2.1-build.patch', 'mailman-2.1-mailmanctl-status.patch', 'mailman-2.1.11-cron.patch', 'mailman-2.1.13-FHS.patch', 'mailman-python-compile.patch', 'mailman-2.1.13-archive-reply.patch', 'mailman-2.1.9-unicode.patch', 'mailman-2.1.13-env-python.patch', 'mailman-2.1.15-check_perms.patch']
Comment 20 Upstream Release Monitoring 2017-06-03 20:16:54 EDT
Latest upstream release: 2.1.24
Current version/release in rawhide: 2.1.21-2.fc26
URL: http://www.gnu.org/software/mailman/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1875/
Comment 21 Upstream Release Monitoring 2017-06-03 20:17:00 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.
Comment 22 Upstream Release Monitoring 2017-10-31 20:25:15 EDT
Latest upstream release: 2.1.25
Current version/release in rawhide: 2.1.21-4.fc27
URL: http://www.gnu.org/software/mailman/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1875/
Comment 23 Upstream Release Monitoring 2017-10-31 20:25:19 EDT
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Note You need to log in before you can comment on or make changes to this bug.